Bug 895217 - Update wallpapoz import of PIL for F19 switch to Pillow
Update wallpapoz import of PIL for F19 switch to Pillow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 16:04 EST by Stephen Gallagher
Modified: 2013-01-15 08:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-15 08:16:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Change imports of PIL Library so they'll work with pillow (4.21 KB, patch)
2013-01-14 16:04 EST, Stephen Gallagher
no flags Details | Diff

  None (edit)
Description Stephen Gallagher 2013-01-14 16:04:57 EST
Created attachment 678428 [details]
Change imports of PIL Library so they'll work with pillow

Description of problem:

Fedora 19 is switching from using python-imaging (PIL) to python-pillow.  This is mostly backwards compatible but importing the python-imaging relevant libraries is undergoing a change.  In PIL, the libraries could either be imported like this:

import Image

or like this:

from PIL import Image

In python-pillow (and thus, Fedora19+), only the latter will work.  I've grepped the sources and found a few import statements that need to be updated.  Patch attached to fix those.  Patch should be upstreamable as PIL supports both the old and new forms of the import.

Version-Release number of selected component (if applicable):
wallpapoz-0.6.2-2.fc19
Comment 1 Mamoru TASAKA 2013-01-15 08:16:38 EST
* Tue Jan 15 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.2-3
- Don't import Image directly and import PIL instead for
  F-19 Pillow conversion
  Patch from Stephen Gallagher <sgallagh@redhat.com>
  (bug 895217)

Committed, thank you.

Note You need to log in before you can comment on or make changes to this bug.